$ErrorActionPreference = 'Stop';

$packageName = 'PowerBI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'
$url64      = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop_x64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'PowerBI*'

  checksum      = '7d078f96d8f7312446a4cdb1f5958a1732bd9111cdd3e71cb397ef7f096568e4'
  checksumType  = 'sha256'
  checksum64    = 'f23af8df92c052e86506b3e2418d6401144b75fc0f6b4a24d97c33ea348532ff'
  checksumType64= 'sha256'

  silentArgs    = "/qb ACCEPT_EULA=1 /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
